(function ($) {
    Drupal.behaviors.iib = {
      attach : function (context, settings) {
        if (typeof localStorage.iib  == 'undefined') {
          localStorage.iib = 'false';
        }
        // Navbar and Toolbar click handlers
        $('.iib-trigger', context).click(function() {
          if ($('.page-iib').hasClass('iib-active')) {
            localStorage.iib = 'false';
            $('.iib-trigger').removeClass('active');
            $('.page-iib', context).removeClass('iib-active');
          }
          else {
            localStorage.iib = 'true';
            activateiib(context, settings);
          }
          return false;
        });
        // Force IIB to be active when displaying an error.
        if ($('.page-iib .error').length) {
          localStorage.iib = 'true';
        }
        // Check if IIB should be currently active.
        if (localStorage.iib == 'true') {
          activateiib(context, settings);
        }
      }
    };
    // Global function used to activate page iib.
    function activateiib(context, settings) {
      $('.iib-trigger').addClass('active');
      $('.page-iib', context).addClass('iib-active');
    }
})(jQuery);
